# Episode 17: Switching Gears to C# and .NET

### [How to listen & subscribe](https://github.com/artem-zinnatullin/TheContext-Podcast)

* [Discussion after the episode](https://github.com/artem-zinnatullin/TheContext-Podcast/issues/90)

In this episode Artur chatted with Dmitry Savchenko about C#, .NET and everything in between.

The reason is simple — we are changing our jobs as Android developers to be real enterprise professionals.
Prepare for next episodes about macOS AppKit, Linux kernel, Go microservices and Plan 9 vs. Inferno.
And maybe gardening at some point. Also — April Fools!

Seriously though — the episode is a great introduction into C# world. Just for erudition sake, you know.

#### Guest:

* Dmitry Savchenko: [GitHub](https://github.com/dsav)

#### Hosts:

* Artur Dryomov: [@arturdryomov](https://twitter.com/arturdryomov), [personal blog](http://arturdryomov.online/), [GitHub](https://github.com/ming13)

#### Links:

C#

* [Anders Hejlsberg — Turbo Pascal, C# and TypeScript designer](https://en.wikipedia.org/wiki/Anders_Hejlsberg)
* [Versions history](https://docs.microsoft.com/en-us/dotnet/csharp/whats-new/csharp-version-history)
* [Nullable reference types preview](https://github.com/dotnet/csharplang/wiki/Nullable-Reference-Types-Preview)
* [`struct`](https://docs.microsoft.com/en-us/dotnet/csharp/language-reference/keywords/struct)
* [`async` and `await`](https://docs.microsoft.com/en-us/dotnet/csharp/async)
* [`yield`](https://docs.microsoft.com/en-us/dotnet/csharp/language-reference/keywords/yield)
* [F#](http://fsharp.org/)
* [Q#](https://docs.microsoft.com/en-us/quantum/quantum-qr-intro)

.NET

* [.NET Framework](https://en.wikipedia.org/wiki/.NET_Framework)
* [.NET Core](https://docs.microsoft.com/en-us/dotnet/core/)
* [.NET Framework vs. .NET Core](https://docs.microsoft.com/en-us/dotnet/standard/choosing-core-framework-server)

Tools

* [JetBrains ReSharper](https://www.jetbrains.com/resharper/)
* [JetBrains Rider](https://www.jetbrains.com/rider/)
* [Roslyn — .NET Compiler Platform](https://github.com/dotnet/roslyn)
* [Visual Studio Code](https://code.visualstudio.com/)
* [MSBuild](https://docs.microsoft.com/en-us/visualstudio/msbuild/msbuild)
* [NuGet](https://www.nuget.org/)
* [Team Foundation Server](https://www.visualstudio.com/tfs/)